>From 7623cb2602762ee0e9475cc0740e6c7ec3c86bcf Mon Sep 17 00:00:00 2001
From: Gerd Hoffmann <kraxel@redhat.com>
Date: Tue, 3 Sep 2013 11:52:13 +0200
Subject: [PATCH] Add qemu detection to csm

Add a qemu_preinit() call to csm initialization,
so PF_QEMU gets set when running on qemu.

Signed-off-by: Gerd Hoffmann <kraxel@redhat.com>
---
 src/csm.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/csm.c b/src/csm.c
index 2021701..40f6af9 100644
--- a/src/csm.c
+++ b/src/csm.c
@@ -16,6 +16,7 @@
 #include "acpi.h"
 #include "boot.h"
 #include "smbios.h"
+#include "paravirt.h"
 #include "pic.h"
 
 struct rsdp_descriptor csm_rsdp VARFSEG __aligned(16);
@@ -64,6 +65,8 @@ csm_maininit(struct bregs *regs)
 static void
 handle_csm_0000(struct bregs *regs)
 {
+    qemu_preinit();
+
     dprintf(3, "Legacy16InitializeYourself table %04x:%04x\n", regs->es,
             regs->bx);
 
-- 
1.8.3.1

